prometheus:
  prometheusSpec:
    retention: 15d
    enableAdminAPI: true
    additionalScrapeConfigs:
      name: prometheus-additional-scrape-configs
      key: additional-scrape-configs.yaml
    additionalArgs:
      - --web.enable-lifecycle

  ingress:
    enabled: true
    ingressClassName: traefik
    annotations:
      traefik.ingress.kubernetes.io/router.entrypoints: websecure
      traefik.ingress.kubernetes.io/router.tls: "true"
    hosts:
      - prometheus.dvirlabs.com
    tls: []

  service:
    type: ClusterIP
    port: 80

  configMapReload:
    prometheus:
      enabled: true

prometheus-node-exporter:
  enabled: false
